Bug 136907 - [OOo] [KDE] Wrong colors in openoffice menubars
[OOo] [KDE] Wrong colors in openoffice menubars
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
Depends On:
  Show dependency treegraph
Reported: 2004-10-22 20:08 EDT by Carlos Rodrigues
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.1.2-11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-15 10:27:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
openoffice menubar with wrong colors (10.91 KB, image/png)
2004-10-22 20:11 EDT, Carlos Rodrigues
no flags Details
my theme's gtkrc (4.38 KB, text/plain)
2004-10-23 21:38 EDT, Carlos Rodrigues
no flags Details

  None (edit)
Description Carlos Rodrigues 2004-10-22 20:08:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041001

Description of problem:
My GTK2 theme has gray menubars and white menus, and openoffice (the
latest errata) picks white for both. Thus all openoffice components
end up with white menubars (but everything else gray, as it should).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.select a theme that has the menu background color different from the
menubar background color
2.lauch oowriter (for instance)
3.open a menu

Actual Results:  The menu and menubar have the same background color.

Expected Results:  The colors should be different, as the theme defines.

Additional info:
Comment 1 Carlos Rodrigues 2004-10-22 20:11:16 EDT
Created attachment 105681 [details]
openoffice menubar with wrong colors

This screenshot shows OpenOffice (in the foreground) with the wrong colors, and
Firefox (in the back) with the correct ones.
Comment 2 Dan Williams 2004-10-23 20:09:03 EDT
What theme are you using?  Can you attach that theme's .gtkrc file?
Comment 3 Carlos Rodrigues 2004-10-23 21:38:22 EDT
Created attachment 105700 [details]
my theme's gtkrc
Comment 4 Carlos Rodrigues 2004-10-23 22:01:47 EDT
I don't know if its worthy of a separate bug report because it is
related to this but, since the background color of the highlighted
menu item is always blue, themes with a blue shade for the highlighted
item's text make the text almost impossible to read. This can be
easily seen by using the "Simple" theme that comes bundled with GNOME 2.6.
Comment 5 Dan Williams 2004-10-24 00:55:03 EDT
Ok, menu bar color confirmed.  We don't grab and use separate values
fro the menu and menu bar colors.
Comment 6 Dan Williams 2004-10-24 00:57:03 EDT

    gtk_widget_ensure_style( pMenu );
    gtk_widget_ensure_style( pMenuItem );
    GtkStyle* pMenuStyle = gtk_rc_get_style( pMenu );
    GtkStyle* pMenuItemStyle = gtk_rc_get_style( pMenuItem );
    GtkStyle* pMenuTextStyle = gtk_rc_get_style( gtk_bin_get_child(
GTK_BIN( pMenuItem )));

    aBackColor = getColor( pMenuStyle->bg[GTK_STATE_NORMAL] );
->  aStyleSet.SetMenuColor( aBackColor );
->  aStyleSet.SetMenuBarColor( aBackColor );
Comment 7 Dan Williams 2004-10-24 01:34:46 EDT
the menu bar color will hopefully be fixed in 1.1.2-11
Comment 8 Carlos Rodrigues 2004-10-24 08:44:34 EDT
Another thing I just found. A similar problem (menubar colors) also
happens while running OO.org inside KDE. But in this case, both the
menu color and the menubar color are wrong, they are both picking up
the "Push Button" color definition (just change that to red or
something and restart OO.org, the menu and menubar get red).
Comment 9 Dan Williams 2004-11-11 09:21:20 EST
GTK fix is in -11.
Comment 10 Caolan McNamara 2004-11-15 08:26:46 EST
1.1.2-11 is out now, this confirmed to be working ?
Comment 11 Carlos Rodrigues 2004-11-15 10:24:19 EST
Yes, it is working.

Note You need to log in before you can comment on or make changes to this bug.